POST api/Dashboard/GetPendingPhysicalTherapy/search
Request Information
URI Parameters
None.
Body Parameters
QueryParameter| Name | Description | Type | Additional information |
|---|---|---|---|
| PageNum | integer |
None. |
|
| PageSize | integer |
None. |
|
| Sort | Sort |
None. |
|
| Sorts | Collection of Sort |
None. |
|
| Filters | Collection of Filter |
None. |
|
| extends | Dictionary of string [key] and Object [value] |
None. |
Request Formats
application/json, text/json
Sample:
{
"PageNum": 1,
"PageSize": 2,
"Sort": {
"Field": "sample string 1",
"Dir": "sample string 2"
},
"Sorts": [
{
"Field": "sample string 1",
"Dir": "sample string 2"
},
{
"Field": "sample string 1",
"Dir": "sample string 2"
}
],
"Filters": [
{
"Field": "sample string 1",
"Operator": "sample string 2",
"Value": {},
"Logic": "sample string 4",
"Filters": []
},
{
"Field": "sample string 1",
"Operator": "sample string 2",
"Value": {},
"Logic": "sample string 4",
"Filters": []
}
],
"extends": {
"sample string 1": {},
"sample string 3": {}
}
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfListOfDashboardPendingPhysicalTherapyDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of DashboardPendingPhysicalTherapyDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"Id": 1,
"CaseNo": 2,
"EmployeeId": "sample string 3",
"EmployeeLName": "sample string 4",
"EmployeeFName": "sample string 5",
"CompanyEmployeeId": "sample string 6",
"CompanyName": "sample string 7",
"CorporationCode": "sample string 8",
"TimeZoneOffSet": "sample string 9",
"ScheduleStartTime": "00:00:00.1234567",
"ScheduleEndTime": "00:00:00.1234567",
"Action": 1,
"TimeZoneName": "sample string 10",
"Attempts": 1,
"OpenedDate": "2026-08-04T07:11:24.4812819-07:00",
"ClosedDate": "2026-08-04T07:11:24.4812819-07:00",
"CallActivationName": "sample string 11",
"Status": 1,
"Sequence": 12,
"InteractionType": 1,
"OnSiteLocationId": 1,
"TeleMedicineId": 1,
"ServiceType": "sample string 13",
"Scheduled": true,
"ScheduleDate": "2026-08-04T07:11:24.4812819-07:00",
"CaseStatus": 1,
"ClinicalPathwayTypeId": 15,
"TelephonicFollowupId": 1,
"CallActivationId": 1,
"EntityId": 16,
"EncounterId": 17,
"Note": "sample string 18",
"ComponentType": 19,
"ScheduleEndDate": "2026-08-04T07:11:24.4812819-07:00",
"CaseTypeId": 20,
"WLName": "sample string 21",
"FOLCallBackNumber": "sample string 22",
"ValidFlag": true,
"DateCreated": "2026-08-04T07:11:24.4812819-07:00",
"DateUpdated": "2026-08-04T07:11:24.4812819-07:00",
"UserIDCreated": 26,
"UserIDUpdated": 27,
"CompanyCode": "sample string 28",
"IsExcludeDiscount": true
},
{
"Id": 1,
"CaseNo": 2,
"EmployeeId": "sample string 3",
"EmployeeLName": "sample string 4",
"EmployeeFName": "sample string 5",
"CompanyEmployeeId": "sample string 6",
"CompanyName": "sample string 7",
"CorporationCode": "sample string 8",
"TimeZoneOffSet": "sample string 9",
"ScheduleStartTime": "00:00:00.1234567",
"ScheduleEndTime": "00:00:00.1234567",
"Action": 1,
"TimeZoneName": "sample string 10",
"Attempts": 1,
"OpenedDate": "2026-08-04T07:11:24.4812819-07:00",
"ClosedDate": "2026-08-04T07:11:24.4812819-07:00",
"CallActivationName": "sample string 11",
"Status": 1,
"Sequence": 12,
"InteractionType": 1,
"OnSiteLocationId": 1,
"TeleMedicineId": 1,
"ServiceType": "sample string 13",
"Scheduled": true,
"ScheduleDate": "2026-08-04T07:11:24.4812819-07:00",
"CaseStatus": 1,
"ClinicalPathwayTypeId": 15,
"TelephonicFollowupId": 1,
"CallActivationId": 1,
"EntityId": 16,
"EncounterId": 17,
"Note": "sample string 18",
"ComponentType": 19,
"ScheduleEndDate": "2026-08-04T07:11:24.4812819-07:00",
"CaseTypeId": 20,
"WLName": "sample string 21",
"FOLCallBackNumber": "sample string 22",
"ValidFlag": true,
"DateCreated": "2026-08-04T07:11:24.4812819-07:00",
"DateUpdated": "2026-08-04T07:11:24.4812819-07:00",
"UserIDCreated": 26,
"UserIDUpdated": 27,
"CompanyCode": "sample string 28",
"IsExcludeDiscount": true
}
],
"totalCount": 3
}